<?php
/**
* Theme Ostrich Customizer
*
* @package Music Center
*
* about section
*/
$wp_customize->add_section(
	'music_center_about',
	array(
		'title' => esc_html__( 'About', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);

// blog enable settings
$wp_customize->add_setting(
	'music_center_about',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'disable',
	)
);
$wp_customize->add_control(
	'music_center_about',
	array(
		'section'		=> 'music_center_about',
		'label'			=> esc_html__( 'Content type:', 'music-center' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'music-center' ),
		'type'			=> 'select',
		'choices'		=> array(
			'disable' => esc_html__( '--Disable--', 'music-center' ),
			'post' => esc_html__( 'Post', 'music-center' ),
		)
	)
);

$wp_customize->add_setting(
	'music_center_about_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'About Us', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_about_sub_title',
	array(
		'section'		=> 'music_center_about',
		'label'			=> esc_html__( 'Sub Title:', 'music-center' ),
		'active_callback'	=> 'music_center_if_about_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_about_sub_title', 
	array(
		'selector'            => '#about-us p.section-subtitle',
		'render_callback'     => 'music_center_about_partial_subtitle',
	) 
);

for ($i=1; $i <= 1 ; $i++) {
// blog post setting
	$wp_customize->add_setting(
		'music_center_about_post_'.$i,
		array(
			'sanitize_callback' => 'music_center_sanitize_dropdown_pages',
		)
	);
	$wp_customize->add_control(
		'music_center_about_post_'.$i,
		array(
			'section'		=> 'music_center_about',
			'label'			=> esc_html__( 'Post ', 'music-center' ).$i,
			'active_callback' => 'music_center_if_about_enabled',
			'type'			=> 'select',
			'choices'		=> music_center_get_post_choices(),
		)
	);
	
}

$wp_customize->add_setting(
	'music_center_about_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Learn More', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_about_btn_title',
	array(
		'section'		=> 'music_center_about',
		'label'			=> esc_html__( 'Btn Title:', 'music-center' ),
		'active_callback'	=> 'music_center_if_about_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_about_btn_title', 
	array(
		'selector'            => '#about-us div.read-more a',
		'render_callback'     => 'music_center_about_partial_btn_title',
	) 
);