<?php
/**
 * Theme Ostrich Customizer
 *
 * @package Music Center
 *
 * slider section
 */

$wp_customize->add_section(
	'music_center_slider',
	array(
		'title' => esc_html__( 'Slider Section', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);

// slider enable settings
$wp_customize->add_setting(
	'music_center_slider',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'music_center_slider',
	array(
		'section'		=> 'music_center_slider',
		'label'			=> esc_html__( 'Content type:', 'music-center' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'music-center' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'music-center' ),
				'page' => esc_html__( 'Page', 'music-center' ),
		 	)
	)
);

// slider enable settings
$wp_customize->add_setting(
	'music_center_slider_search_bar',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'show',
	)
);

$wp_customize->add_control(
	'music_center_slider_search_bar',
	array(
		'section'		=> 'music_center_slider',
		'label'			=> esc_html__( 'Search Bar Enable/Disable', 'music-center' ),
		'description'			=> esc_html__( 'If you want to display search bar on slider section then Enable otherwise choose Disable', 'music-center' ),
		'type'			=> 'select',
		'choices'		=> array( 
			'show' 	=> esc_html__( 'Enable', 'music-center' ),
			'hide' => esc_html__( 'Disable', 'music-center' ),
		),
		'active_callback'	=> 'music_center_if_slider_enabled',
	)
);

for ($i=1; $i <= 3; $i++) {

	// slider page setting
	$wp_customize->add_setting(
		'music_center_slider_page_'.$i,
		array(
			'sanitize_callback' => 'music_center_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'music_center_slider_page_'.$i,
		array(
			'section'		=> 'music_center_slider',
			'label'			=> esc_html__( 'Page ', 'music-center' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'music_center_if_slider_enabled'
		)
	);
}