<?php
/**
 * Global Layout
 */
// Global Layout
$wp_customize->add_section(
	'music_center_global_layout',
	array(
		'title' => esc_html__( 'Global Layout', 'music-center' ),
		'panel' => 'music_center_general_panel',
	)
);

// Global archive layout setting
$wp_customize->add_setting(
	'music_center_archive_sidebar',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'music_center_archive_sidebar',
	array(
		'section'		=> 'music_center_global_layout',
		'label'			=> esc_html__( 'Archive Sidebar', 'music-center' ),
		'description'			=> esc_html__( 'This option works on all archive pages like: 404, search, date, category, "Your latest posts" and so on.', 'music-center' ),
		'type'			=> 'radio',
		'choices'		=> array(  
			'right' => esc_html__( 'Right', 'music-center' ), 
			'no' => esc_html__( 'No Sidebar', 'music-center' ), 
		),
	)
);

// Global page layout setting
$wp_customize->add_setting(
	'music_center_global_page_layout',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'music_center_global_page_layout',
	array(
		'section'		=> 'music_center_global_layout',
		'label'			=> esc_html__( 'Global page sidebar', 'music-center' ),
		'description'			=> esc_html__( 'This option works only on single pages including "Posts page". This setting can be overridden for single page from the metabox too.', 'music-center' ),
		'type'			=> 'radio',
		'choices'		=> array(  
			'right' => esc_html__( 'Right', 'music-center' ), 
			'no' => esc_html__( 'No Sidebar', 'music-center' ), 
		),
	)
);

// Global post layout setting
$wp_customize->add_setting(
	'music_center_global_post_layout',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'music_center_global_post_layout',
	array(
		'section'		=> 'music_center_global_layout',
		'label'			=> esc_html__( 'Global post sidebar', 'music-center' ),
		'description'			=> esc_html__( 'This option works only on single posts. This setting can be overridden for single post from the metabox too.', 'music-center' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'right' => esc_html__( 'Right', 'music-center' ), 
			'no' => esc_html__( 'No Sidebar', 'music-center' ), 
		),
	)
);